%global npmname pkginfo
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: easy way to expose module properties from a package.json
Name: nodejs-%{npmname}
Version: 0.2.3
Release: 1%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/indexzero/node-pkginfo
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
An easy way to expose properties on a module from a package.json

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr lib package.json %{buildroot}/%{npminstdir}
cp -pr .gitignore %{buildroot}/%{npminstdir}/.npmignore

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries

%files
%doc README.md examples docs
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.2.3-1
- Initial build using tchor spec template

